:root {
  --main-color: #f32125;
  --hover-color: #d61a1d;
  --bg-dark: #282a30;
  --bg-light: #32323b;
  --white: #fff;
  --black: #333;
  --cookie-background: #32323b;
  --cookie-background-shadow: #333;
  --br-sm: 6px;
}

* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
}

@font-face {
  font-family: Poppins;
  src: url("../fonts/Poppins-Regular.ttf");
}

html,
body {
  background-color: var(--bg-light);
  min-height: 100vh;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  color: var(--white);
  scroll-behavior: smooth;
  font-size: 16px;
}

a {
  text-decoration: none;
}

h1{
  font-size: 2rem;
  width: calc(100% - 80px);
  padding-bottom: 20px;
}

li {
  position: relative;
  list-style: none;
  padding: 5px 20px;
}
li:before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  height: 0;
  width: 0;
  border-color: transparent var(--main-color);
  border-style: solid;
  border-width: 0.5em 0 0.5em 0.5em;
}

.container_banner {
  background-color: var(--bg-dark);
  min-height: 90vh;
  border-bottom-left-radius: 320px;
  overflow: hidden;
}

.navbar {
  position: fixed;
  z-index: 999;
  width: calc(100% - 200px);
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  border-bottom: 1px solid #aaa;
  padding: 20px 100px;
  background-color: var(--bg-dark);
}

.fixed_head {
  height: 120px;
}

.navbar .logo img {
  width: 225px;
}

.navbar .navigation {
  display: flex;
  font-size: 1.2rem;
  letter-spacing: 1px;
  font-weight: 600;
}
.navigation a {
  color: var(--white);
  padding: 10px 14px;
  margin: 5px;
  outline: none;
  position: relative;
}

.navigation a::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: var(--main-color);
  transform-origin: bottom left;
  transition: transform 0.5s ease-out;
  transform: scaleX(0);
}

.navigation a:hover::after,
.navigation a:active::after,
.navigation a:focus::after,
.navigation a.active::after {
  transform: scaleX(1);
}

.menu_toggle {
  display: none;
}

.menu_toggle,
.menu_toggle:active,
.menu_toggle:focus {
  justify-content: center;
  flex-direction: column;
  align-items: center;
  position: relative;
  box-shadow: none;
  height: 50px;
  width: 50px;
  cursor: pointer;
}
.menu_toggle span {
  width: 25px;
  height: 3px;
  background: var(--white);
  margin: 4px 0;
  transition: 0.4s;
}
.menu_toggle.active span:nth-child(1) {
  transform: rotate(45deg);
  position: absolute;
}
.menu_toggle.active span:nth-child(2) {
  display: none;
}
.menu_toggle.active span:nth-child(3) {
  transform: rotate(-45deg);
}

.btn {
  background: none;
  outline: none;
  border: none;
  padding: 10px 14px;
  font-size: 1.2rem;
  font-weight: 600;
  cursor: pointer;
}

.btn_primary {
  color: var(--white);
  border: 1px solid var(--main-color);
  border-radius: var(--br-sm);
  background-color: var(--main-color);
}

.btn_primary:hover {
  background-color: var(--hover-color);
}

.btn_cta {
  width: 250px;
  border-radius: 20px;
  border-top-left-radius: 0;
}

/* Main */
.blockquote {
  position: relative;
  margin: 50px auto;
  align-self: center;
}

/* Blockquote header */
.blockquote h1 {
  font-family: "Abril Fatface", cursive;
  position: relative; /* for pseudos */
  color: var(--white);
  font-size: 1.5rem;
  line-height: 1;
  margin: 0;
  border: 2px solid var(--main-color);
  border-radius: 20px;
  padding: 15px;
}

/* Blockquote right double quotes */
.blockquote h1:after {
  content: "";
  position: absolute;
  border: 2px solid var(--main-color);
  border-radius: 0 50px 0 0;
  width: 60px;
  height: 60px;
  bottom: -62px;
  left: 50px;
  border-bottom: none;
  border-left: none;
  z-index: 3;
}

.blockquote h1:before {
  content: "";
  position: absolute;
  width: 80px;
  border: 2px solid var(--bg-dark);
  bottom: -3px;
  left: 50px;
  z-index: 2;
}

/* Blockquote subheader */
.blockquote h4 {
  position: relative;
  color: var(--white);
  font-weight: 400;
  line-height: 1.2;
  margin: 0;
  padding-top: 15px;
  z-index: 1;
  margin-left: 150px;
  padding-left: 12px;
}

.welcome {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: row-reverse;
  padding: 0 100px;
  min-height: calc(100vh - 200px);
  position: relative;
  gap: 40px;
}

.welcome_container_general{
  width: 100%;
  align-self: flex-start;
  padding: 50px 0 100px 0;
  word-break: break-word;
  hyphens: auto;
  -webkit-hyphens: auto;
}
.welcome_container_general p {
  padding: 15px 0;
}

.welcome_text {
  width: 760px;
}

.welcome_header {
  margin-top: -15px;
  font-size: 3.5rem;
  font-weight: 600;
  letter-spacing: 2px;
}

.welcome_text p {
  font-size: 1.2rem;
  margin-bottom: 25px;
  padding: 35px 0;
}

.welcome_text span {
  color: var(--main-color);
}

.timeline {
  margin-top: 85px;
}

.timeline_box {
  display: flex;
  gap: 25px;
  padding: 10px 0 10px 20px;
  font-size: 1.2rem;
  background-color: var(--bg-light);
  border-radius: var(--br-sm);
  margin: 10px;
  transition: 0.4s;
}

.timeline_box:hover {
  transform: translateX(-20px);
}

.timeline_second {
  margin-left: 70px;
}

.timeline_third {
  margin-left: 120px;
}

.welcome_box {
  z-index: 1;
  display: block;
  margin: auto;
}

.welcome_box img,
.wb_container img:not(.dots img) {
  width: 450px;
  filter: grayscale(100%);
  border-radius: var(--br-sm);
}

.welcome .dots,
.wb_container.left .dots {
  position: absolute;
  top: 0;
  right: 0;
}

.wb_container.right .dots {
  position: absolute;
  top: 0;
  left: 0;
}

.dots img {
  height: 90px;
  opacity: 0.2;
  margin: 40px 20px;
  animation: rotation 1.3s linear;
}
.dots.first img{
  margin-top: 15px;
  height: 180px;
}
.dots img.active{
  animation: rotate 1.3s linear;
}

@keyframes rotation {
  from{
    transform: rotate(0);
  }
  to{
    transform: rotate(360deg);
  }
}
@keyframes rotate {
  from{
    transform: rotate(0);
  }
  to{
    transform: rotate(360deg);
  }
}

/* Services */
.our_services {
  min-height: 80vh;
}

.wb_container {
  padding: 100px;
  background-color: var(--bg-dark);
  position: relative;
}

.wb_container.right {
  border-top-right-radius: 320px;
  border-bottom-right-radius: 320px;
  position: relative;
}

.wb_container.left {
  border-top-left-radius: 320px;
  border-bottom-left-radius: 320px;
}

.wb_container .title {
  font-size: 3rem;
  position: relative;
  padding-bottom: 2px;
  margin: 25px 0;
}

.wb_container .title::after {
  content: "";
  position: absolute;
  width: 125px;
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: var(--main-color);
}

.container_placeholder {
  padding-top: 85px;
}

.main_box {
  margin-top: 50px;
}

.wb_container .subtitle {
  font-size: 2rem;
  letter-spacing: 1px;
  font-weight: 600;
  margin-bottom: 15px;
}

.wb_container .intro_text {
  font-size: 1.2rem;
  color: var(--main-color);
}

.info_text {
  display: flex;
  gap: 20px;
}

.info_header {
  width: 50%;
  background-color: var(--bg-light);
  border-radius: var(--br-sm);
  padding: 20px;
}

.info_header p {
  padding: 20px 0;
}

.img_item.service img{
  width: 380px !important;
  display: block;
  margin: auto;
}

.service_box {
  margin-top: 50px;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}
.service_item {
  height: 130px;
  transition: 0.5s;
}
.service_header {
  height: 75px;
  background-color: var(--bg-light);
  border-radius: var(--br-sm);
  cursor: pointer;
  display: flex;
  gap: 30px;
  align-items: center;
  padding: 20px;
  position: relative;
  font-size: 1.2rem;
}
.service_header::after {
  content: "";
  position: absolute;
  bottom: -19px;
  left: 50%;
  transform: translateX(-50%);
  border-left: 20px solid transparent;
  border-right: 20px solid transparent;
  border-top: 20px solid var(--bg-light);
  z-index: 2;
}
.service_header:hover {
  background-color: var(--main-color);
}
.service_header:hover:after {
  border-top: 20px solid var(--main-color);
}

.service_toggle {
  margin: 15px 0 25px 0;
  background-color: var(--bg-light);
  border-radius: var(--br-sm);
  cursor: pointer;
  align-items: center;
  padding: 30px 20px;
  position: relative;
  opacity: 0;
  visibility: hidden;
  transition: margin-top 0.5s;
}
.service_toggle::before {
  content: "";
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  border-left: 20px solid transparent;
  border-right: 20px solid transparent;
  border-top: 20px solid var(--bg-dark);
}

.service_icon i {
  font-size: 2rem;
}

.service_item.active {
  height: auto;
}
.service_item.active .service_toggle {
  opacity: 1;
  visibility: visible;
  margin-top: 2px;
}

/* About */
.about_me {
  min-height: 85vh;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}
.about_me .info_text {
  flex-direction: row-reverse;
}
.img_box {
  position: relative;
  width: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.img_hover{
  padding: 20px;
  transition: 0.5s;
}

.img_hover:hover .img_item.first,
.img_hover .img_item.second{
  display: none;
}
.img_hover .img_item.first,
.img_hover:hover .img_item.second{
  display: block;
}
.img_item.first {
  position: relative;
  transform: scaleX(-1);
}
.img_hover img {
  width: 350px !important;
}

.img_hover:hover {
  transform: scale(1.0);
}

/* Contact */
.contact_me {
  min-height: 80vh;
}
.info_box {
  display: flex;
  align-items: center;
  gap: 20px;
  margin-bottom: 20px;
}
.info_box .icon {
  background-color: var(--main-color);
  min-width: 50px;
  height: 50px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.wb_container a,
.welcome_container_general a {
  color: var(--white);
  opacity: 0.8;
}
.wb_container a:hover,
.welcome_container_general a:hover{
  opacity: 1;
  text-decoration: underline;
}
.info_title i {
  font-size: 0.8rem;
}
#wb-contact-form {
  width: 50%;
}
.container_contact {
  background-color: var(--bg-light);
  padding: 15px;
  border-radius: var(--br-sm);
}
.contact_row {
  display: flex;
  flex-direction: column;
}
.flex_row {
  display: flex;
}

.container_contact input,
.container_contact textarea {
  border: 1px solid rgb(51, 51, 51, 0.2);
  background-color: var(--white);
  outline: none;
  box-shadow: none;
  height: 35px;
  padding: 2px 5px;
  border-radius: var(--br-sm);
  position: relative;
  resize: vertical;
  font-size: 1rem;
}
.container_contact #message {
  height: 140px;
}
.container_contact input:focus,
.container_contact textarea:focus {
  border: 1px solid var(--bg-dark);
}

.container_contact [class*="flex-item"].is-invalid > label {
  color: var(--main-color);
}
.container_contact [class*="flex-item"].is-invalid > input,
.container_contact [class*="flex-item"].is-invalid > textarea {
  border: 1px solid var(--main-color);
  background-color: rgba(237, 67, 15, 0.3)
}

.container_contact .btn_submit {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 150px;
  margin-left: auto;
  border-radius: 20px;
  border-top-right-radius: 0;
}
.container_contact .btn_submit i {
  margin-right: 15px;
  transition: 0.4s;
}
.container_contact .btn_submit:hover i {
  margin-right: 5px;
  margin-top: -5px;
}

.flex-item-50 {
  display: flex;
  flex-direction: column;
  width: 50%;
  padding: 10px;
}
.flex-item-100 {
  display: flex;
  flex-direction: column;
  padding: 10px;
}
.flex-item-checkbox {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  padding: 10px;
  gap: 5px;
}
.flex-item-checkbox label {
  margin-left: 5px;
  margin-top: 2px;
  width: calc(100% - 40px);
}

.break {
  width: 100%;
}

.status-message {
  width: 100%;
}
.error-message,
.success-message {
  padding: 8px 10px;
  margin-top: 5px;
  background: var(--main-color);
  color: #fff;
  border-radius: 5px;
  position: relative;
}
.error-message a {
  color: #fff !important;
}
.success-message {
  background: #4eb558;
}
.contact_row .error-message::before {
  content: "";
  position: absolute;
  top: -5px;
  right: 50%;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-bottom: 10px solid var(--main-color);
}

.hidden_elem{
  display: none;
}

/* Footer */
footer {
  margin-top: auto;
}
footer .wb_container {
  padding: 100px 100px 50px 100px;
}

footer .wb_container.right,
footer .wb_container.left {
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}

.footer_top {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  justify-items: center;
  gap: 40px;
}

.footer_item {
  max-width: 450px;
  min-width: 250px;
}

.footer_header {
  position: relative;
  font-size: 1.2rem;
  padding-bottom: 2px;
  margin-bottom: 20px;
}
.footer_header::after {
  content: "";
  position: absolute;
  width: 75px;
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: var(--main-color);
}

.footer_contact,
.footer_legal {
  display: flex;
  align-items: center;
  gap: 20px;
  margin-bottom: 10px;
}

.footer_contact {
  margin-bottom: 20px;
}

footer .icon {
  color: var(--main-color);
  font-size: 1.2rem;
  width: 20px;
  display: flex;
  justify-content: center;
}

.cookie-container .cookie-btn{
  width: 100%;
}

@media screen and (max-width: 1200px) {
  .navbar {
    width: calc(100% - 60px);
  }
  .welcome,
  .navbar {
    padding: 20px 30px;
  }
  .wb_container {
    padding: 100px 30px 135px 30px;
  }
  .container_banner {
    border-bottom-left-radius: 235px;
  }
  .wb_container.left {
    border-top-right-radius: 0;
    border-top-left-radius: 235px;
    border-bottom-left-radius: 235px;
  }
  .wb_container.right {
    border-top-right-radius: 235px;
    border-bottom-right-radius: 235px;
  }
  footer .wb_container {
    padding: 100px 30px 50px 30px;
  }
  .menu_toggle {
    display: flex;
  }
  .navbar .navigation {
    display: none;
  }
  .navbar .navigation.active {
    position: fixed;
    top: 101px;
    left: 0;
    width: 100vw;
    height: calc(100vh - 101px);
    background-color: var(--bg-light);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 999;
  }
  .welcome_box img {
    width: 350px;
  }
  .info_text {
    flex-direction: column;
  }
  #wb-contact-form,
  .info_header,
  .service_box {
    width: auto;
  }
  .service_box{
    display: flex;
    justify-content: space-between;
    flex-direction: column;
  }
  .about_me .info_text {
    flex-direction: column-reverse;
  }
  .img_box {
    width: 100%;
    display: flex;
    align-items: center;
  }
  .img_item.service {
    display: none;
  }
  .footer_top {
    justify-items: flex-start;
  }
}

@media screen and (max-width: 1025px) {
  .welcome_box {
    display: none;
  }
  .navbar .navigation.active {
    height: 100vh;
    justify-content: flex-start;
    padding-top: 150px;
  }
}

@media screen and (max-width: 772px) {
  .container_placeholder {
    padding-top: 50px;
  }
  .welcome_header {
    font-size: 2.5rem;
  }
  .welcome_header{
    margin-top: -50px;
    line-height: 1.2;
  }
  .welcome p {
    font-size: 1.1rem;
  }
  .blockquote h1 {
    font-size: 1.2rem;
  }
  .timeline {
    margin-top: 45px;
  }
  .timeline_box {
    gap: 10px;
    padding: 5px;
  }
  .flex-item-50 {
    width: auto;
  }
  .flex_row {
    flex-direction: column;
  }
  .img_item img {
    width: 250px !important;
  }
  .wb_container .title {
    font-size: 2rem;
  }
  .wb_container .subtitle {
    font-size: 1.5rem;
  }
  .footer_top {
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  }
}
